#include "game_manager.h"
// sprites
char menu_btn_2_str[10];
void menu_button_2_update(sprite_t* s, int dt){
    
}

void menu_button_2_init(sprite_t* s, int dt){
    s->update_func = menu_button_2_update;
    
    sprintf(menu_btn_2_str, "Main Menu");
    video_fillRect(87, 102, 75, 9, OPT_OVERLAY);
    video_removestring(99, 103, menu_btn_2_str);
}

sprite_t menu_button_2 = {0,0,0,0,0,0,menu_button_2_init,0,0};

// scene

char disp_str[15];
extern char key_old;
sprite_t* gameover_scene_sprites[1];
void scene_gameover_update(scene_t* s, int dt){
    int i;
    for (i = 0; i < s->nsprite; i++){
        s->sprites[i]->update_func(s->sprites[i], 0);
    }
    
    if (getbuttondown(KEY_A)){
        if (!(key_old & (1<<2))) {
            game_manager_load_scene(0);
        }
        key_old |= (1 << 2);
    } else {
        key_old &= ~(1 << 2);
    }
}

void scene_gameover_init(scene_t* s, int dt){
    int i;
    
    video_fillRect((right+left)/2-70,(bottom+top)/2-25, 140, 50, DRAW_BLACK);
    
    s->nsprite = 1;
    
    s->sprites = gameover_scene_sprites;
    s->sprites[0] = &menu_button_2;

    s->update_func = scene_gameover_update;
    
    for (i = 0; i < s->nsprite; i++){
        s->sprites[i]->init_func(s->sprites[i], 0);
    }
    
    // init the scene here
    // Draw the screen boundaries
    video_drawRect((right+left)/2-68,(bottom+top)/2-23, 136, 46, DRAW_WHITE);
    
    sprintf(disp_str, "Game Over!");
    video_bold_string(82,85,disp_str);
    
    // audio config
    config_bgm(1);
    config_hit(0);
}

scene_t scene_gameover = {scene_gameover_init, NULL, NULL, 0};